curl --request POST \
--url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/files/{fileId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'{
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"original_name": "<string>",
"file_extension": "<string>",
"mime_type": "<string>",
"size": 123,
"is_public": true,
"s3_key": "<string>",
"upload_status": "pending",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"data": {},
"s3_meta": {
"etag": "<string>",
"content_length": 123,
"content_type": "<string>",
"content_encoding": "<string>",
"content_disposition": "<string>",
"last_modified": "<string>"
}
}
}Mark file upload as complete
curl --request POST \
--url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/files/{fileId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'{
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"original_name": "<string>",
"file_extension": "<string>",
"mime_type": "<string>",
"size": 123,
"is_public": true,
"s3_key": "<string>",
"upload_status": "pending",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"data": {},
"s3_meta": {
"etag": "<string>",
"content_length": 123,
"content_type": "<string>",
"content_encoding": "<string>",
"content_disposition": "<string>",
"last_modified": "<string>"
}
}
}Was this page helpful?